Bug 449428 - Please apply fix for Darklooks' gtkrc
Please apply fix for Darklooks' gtkrc
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-themes-extras (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Marc Wiriadisastra
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-02 12:48 EDT by Leszek Matok
Modified: 2008-06-24 22:52 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.22.0-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-24 22:52:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 528322 None None None Never
Launchpad 215472 None None None Never

  None (edit)
Description Leszek Matok 2008-06-02 12:48:26 EDT
Darklooks GTK+ theme is broken in Fedora 9. Many applications start with default
(ugly and not dark at all) theme, some of them react to theme changes after
startup, some don't.

This is GNOME bug #528322

Patch is available here:
http://svn.gnome.org/viewvc/gnome-themes-extras/trunk/gtk-themes/Darklooks/gtk-2.0/gtkrc?r1=475&r2=491&diff_format=u

I confirm the patch works and fixes Darklooks for all applications. I don't know
what is upstream's roadmap for the next gnome-themes-extras release, but it
needs a fix right now.

The workaround is patching /usr/share/themes/Darklooks/gtk-2.0/gtkrc by hand and
that's what I've done.
Comment 1 Marc Wiriadisastra 2008-06-20 21:45:36 EDT
Ok have updated it finally. Had issues with my F9. Will be uploaded shortly. Do
you know who provided the patch?
Comment 2 Fedora Update System 2008-06-20 22:11:09 EDT
gnome-themes-extras-2.22.0-2.fc9 has been submitted as an update for Fedora 9
Comment 3 Fedora Update System 2008-06-22 16:43:58 EDT
gnome-themes-extras-2.22.0-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnome-themes-extras'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5597
Comment 4 Fedora Update System 2008-06-24 22:52:37 EDT
gnome-themes-extras-2.22.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.